Joomla.it Forum

Non solo Joomla... => Database => Topic aperto da: prankster - 16 Set 2022, 09:55:08

Titolo: Upgrade versione MySql non recepita da Joomla
Inserito da: prankster - 16 Set 2022, 09:55:08
Buongiorno


Immagino che l'oggetto del topic possa essere una castroneria e spero di aver postato nella sezione giusta.


dunque, dovendo aggiornare il componente Jdownload dalla versione 3.2.69 all 3.9.spicci hi richiesto al proider l'aggiornamento della versione Mysql da 5.5.62 alla 5.7
L'innominato provider ci regala per un anno sto Db versione pi avanzata, evviva
Provvedo a spostare il db dal vecchio spazio al nuovo, tutto ok
Vado per l'aggiornamento di Jdownload che mi restituisce il seguente errore:


jDownloads Upgrade not possible!

You want to upgrade jDownloads to version 3.9.8.4, but your current database MySQLi is version 5.5.62-38.14-log and is not supported. Please contact your web host to update your Database version to at least version 5.7.



Vado a controllare nelle info di sistema di joomla e in effetti mi dice che:Versione database 5.5.62
vado a controllare in phpmy admin e la versione risulta essere la 5.7.39 (vedi allegato)  :o


Qualsiasi indicazione su come ovviare a questo problema sarebbe graditissima...


Grazie





Titolo: Re:Upgrade versione MySql non recepita da Joomla
Inserito da: giusebos - 16 Set 2022, 10:26:31
non la versione il tuo problema, ma il tipo di database.

stai usando MySql lite

occorre MySql o maria DB

quindi per poter correggere ti fi un backup con akeeba, elimini file e database sul server, ripristini il backup di akeeba scegliendo come tipo DB MySql PDO
Titolo: Re:Upgrade versione MySql non recepita da Joomla
Inserito da: prankster - 16 Set 2022, 10:41:10
Grazie. Come riconosco che un Sql lite per la prossima volta? (spero di no eh)
Titolo: Re:Upgrade versione MySql non recepita da Joomla
Inserito da: giusebos - 16 Set 2022, 12:57:45
jDownloads Upgrade not possible!

You want to upgrade jDownloads to version 3.9.8.4, but your current database MySQLi is version 5.5.62-38.14-log and is not supported. Please contact your web host to update your Database version to at least version 5.7.